<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DefineConstants>$(DefineConstants);USE_MOCK</DefineConstants>
    <WarningsAsErrors>$(WarningsAsErrors);NU1605;CS8509</WarningsAsErrors>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <WarningsAsErrors>$(WarningsAsErrors);NU1605;CS8509</WarningsAsErrors>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Diagnostics.EntityFrameworkCore" Version="8.0.20" />
    <PackageReference Include="Microsoft.AspNetCore.HeaderPropagation" Version="8.0.20" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="8.0.20" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.UI" Version="8.0.11" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="9.0.9" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="9.0.9" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="9.0.9">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="8.0.7" />
    <PackageReference Include="Radzen.Blazor" Version="8.0.4" />
    <PackageReference Include="Sylvan.Data" Version="0.2.16" />
    <PackageReference Include="Sylvan.Data.Excel" Version="0.5.2" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="wwwroot\" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Hcs.Broker.Mock\Hcs.Broker.Mock.csproj" />
    <ProjectReference Include="..\Hcs.Broker\Hcs.Broker.csproj" />
  </ItemGroup>

</Project>
